Skip to main content
POST
/
api
/
v2
/
public
/
event
Trigger an event
curl --request POST \
  --url https://api.gocobalt.io/api/v2/public/event \
  --header 'Content-Type: application/json' \
  --header 'linked_account_id: <linked_account_id>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "event": "<string>",
  "payload": {}
}
'
{
    "message": "Webhook Fired Success"
}
This API triggers a Refold event. This would trigger all the workflows associated with the specified event.

Request description

Headers

linked_account_id
string
required
Unique customer identification id. For Eg: markwood@some_email.com
config_id
string
Config Id for the linked account. If not provided, linked_account_id is considered by default.
slug
string
Application slug to scope the trigger to a specific app. For Eg: hubspot. If not provided, all workflows associated with the event will be triggered.

Body Parameters

event
string
required
Event Name
payload
object
Event payload with user data required for the workflow.
Example payload
  {
    "first_name": "Mark",
    "last_name": "Wood",
    "employee_id": 221,
    "is_new": false,
    "address": {
      "house_no": "221",
      "street": "lorem ipsum",
      "pincode": 560103
    }
  }

Response description

message
string
System generated message
{
    "message": "Webhook Fired Success"
}